package etm;
import robocode.Robot;
import robocode.HitWallEvent;

/**
 * Creates a robot to move forward 50 pixels a turn.
 * If it hits a wall, reverse direction
 * @author Edward Meyer
 *
 */
public class Movement02 extends Robot {
	public void run() {
		//Every turn move forward 50 pixels
		while (true) {ahead(50);}
	}
	
	/* Turns robot in opposite direction if hits a wall */
	public void onHitWall(HitWallEvent e) {
		turnRight(180);
	}
	
}
