package etm;
import robocode.Robot;

/**
 * Creates a robot that moves forward 10 pixels,
 * then turns left and moves forward 10 more pixels than before.
 * @author Edward Meyer
 *
 */
public class Movement03 extends Robot {
	public void run() {
		
		//Variable to hold the number of pixels to move ahead
		int moveN = 10;
		
		while (true) { //Loop at every turn
			ahead(moveN); //Move ahead to desired amount
			turnRight(90); //Move body to turn left
			moveN = moveN + 10; //Increment by 10 pixels
		}
	}
}
